--- /dev/null	2012-08-31 05:09:00.000000000 +0400
+++ new/grubadm/grubadm.1m	2012-08-31 05:09:00.187999388 +0400
@@ -0,0 +1,554 @@
+'\" te
+.\" Copyright 2012, Daniil Lunev. All rights reserved.
+.TH GRUBADM 1M "July 25, 2012"
+.SH NAME
+grubadm \- GRUB2 Illumos bootmenu manager
+.SH SYNOPSIS
+.LP
+.nf
+\fBgrubadm\fR [\fB--clone\fR] [\fB--new\fR] [\fB--delete\fR] [\fB--list\fR]
+[\fB\--helpfR] [\fB--all\fR] [\fB--enable-hyper\fR] [\fB--disable-hyper\fR]
+[\fB--get-name\fR] [\fB--get-uuid\fR] [\fB--get-pool\fR][\fB--get-dataset\fR]
+[\fBget-kernel\fR] [\fB--get-opts\fR] [\fB--get-modules\fR] [\fB--get-default\fR]
+[\fB--get-timeout\fR] [\fB--get-terminal\fR] [\fB--get-serial\fR] [\fB--get-all\fR]
+[\fB--default\fR] [\fB--set-name\fR \fIname\fR] [\fB--set-uuid\fR \fIuuid\fR]
+[\fB--set-pool\fR \fIpool\fR] [\fB--set-dataset\fR \fIdataset\fR]
+[\fB--set-kernel\fR \fIkernel\fR] [\fB--set-opts\fR \fIoptions\fR]
+[\fB--set-module\fR \fImodule\fR] [\fB--set-default\fR \fIdefault entry numder\fR]
+[\fB--set-timeout\fR \fItimeout\fR] [\fB--set-terminal\fR \fIterminals\fR]
+[\fB--set-serial\fR \fIserial\fR] [\fB--name\fR \fIname\fR] [\fB--uuid\fR \fIuuid\fR]
+[\fB--pool\fR \fIpool\fR] [\fB--dataset\fR \fIdataset\fR] [\fB--kernel\fR \fIkernel\fR]
+[\fB--module\fR \fImodule\fR] [\fB--number\fR \fInumber\fR]
+[\fB--alt-root\fR \fIalt-root\fR] [\fB--clear\fR]
+.fi
+
+.SH DESCRIPTION
+.sp
+.LP
+The command \fBgrubadm\fR is used to manipulate GRUB2 Illumos entries and GRUB2
+booting parameters. It modify only \fBillumos.cfg\fR and don't influence on entries
+that placed in different locations. If you want to see illumos entries in
+the GRUB2 boot menu, be sure that \fBgrub.cfg\fR contain line "illumos_entries 
+/@/boot/illumos.cfg".
+.SH OPTIONS
+.LP
+The following options are supported:
+.sp
+.ne 2
+.na
+\fB\fB--list\fR\fR
+.ad
+.sp .6
+.RS 4n
+List names of all entries and global parameters values
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--delete\fR\fR
+.ad
+.sp .6
+.RS 4n
+Delete entry (don't stack with --clone, --new, --get-*, --set-*, 
+--enable-hyper, --disable-hyper)
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--new\fR\fR
+.ad
+.sp .6
+.RS 4n
+Add new entry (don't stack with --clone, --delete, --all)
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--default\fR\fR
+.ad
+.sp .6
+.RS 4n
+Fill entry with default values
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--clone\fR\fR
+.ad
+.sp .6
+.RS 4n
+Clone existing entry (don't stack with --delete, --new, --all)
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--clear\fR\fR
+.ad
+.sp .6
+.RS 4n
+Delete all entries
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--help\fR\fR
+.ad
+.sp .6
+.RS 4n
+Show usage
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--all\fR\fR
+.ad
+.sp .6
+.RS 4n
+Apply action to all appropriate entries
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--number\fR\fR \fInumber\fR
+.ad
+.sp .6
+.RS 4n
+Get entry by number. If an unappropriate value are passed,
+default entry will be getted.
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--name\fR\fR \fIname\fR
+.ad
+.sp .6
+.RS 4n
+Find entry by name
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--uuid\fR\fR \fIuuid\fR
+.ad
+.sp .6
+.RS 4n
+Find entry by pool uuid
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--pool\fR\fR \fIpool\fR
+.ad
+.sp .6
+.RS 4n
+Find entry by pool name
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--dataset\fR\fR \fIdataset\fR
+.ad
+.sp .6
+.RS 4n
+Find entry by dataset
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--kernel\fR\fR \fIkernel\fR
+.ad
+.sp .6
+.RS 4n
+Find entry by kernel
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--module\fR\fR \fImodule\fR
+.ad
+.sp .6
+.RS 4n
+Find entry by module
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-name\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry name
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-pool\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry pool name
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-uuid\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry pool uuid
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-dataset\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry dataset
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-kernel\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry kernel line
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-opts\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry kernele opts
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-modules\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get entry modules
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-default\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get default entry number
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-timeout\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get timeout
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-serial\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get serial port configureation info
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-terminal\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get terminal
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--get-all\fR\fR
+.ad
+.sp .6
+.RS 4n
+Get all information about appropriate entries
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-name\fR\fR \fIname\fR
+.ad
+.sp .6
+.RS 4n
+Set entry name
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-pool\fR\fR \fIpool\fR
+.ad
+.sp .6
+.RS 4n
+Set entry pool name
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-uuid\fR\fR \fIuuid\fR
+.ad
+.sp .6
+.RS 4n
+Set entry pool uuid
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-dataset\fR\fR \fIdataset\fR
+.ad
+.sp .6
+.RS 4n
+Set entry dataset
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-kernel\fR\fR \fIkernel\fR
+.ad
+.sp .6
+.RS 4n
+Set entry kernel line
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-opts\fR\fR \fIoptions\fR
+.ad
+.sp .6
+.RS 4n
+Set entry kernele opts
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-module\fR\fR \fImodule\fR
+.ad
+.sp .6
+.RS 4n
+Set entry module (all earlier specified modules will be deleted,
+if you want to specify multiple modules, use several --set-module
+in a single command)
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-default\fR\fR \fIdefault entry number\fR
+.ad
+.sp .6
+.RS 4n
+Set default entry number
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-timeout\fR\fR \fItimeout\fR
+.ad
+.sp .6
+.RS 4n
+Set timeout
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-serial\fR\fR \fIserial_port_params\fR
+.ad
+.sp .6
+.RS 4n
+Set serial port configureation info
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--set-terminal\fR\fR \fIterminal\fR
+.ad
+.sp .6
+.RS 4n
+Set terminal
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--enable-hyper\fR\fR
+.ad
+.sp .6
+.RS 4n
+Convert entry to boot with xen
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fB--disable-hyper\fR\fR
+.ad
+.sp .6
+.RS 4n
+Convert entry from xen-mode to normal boot mod
+.RE
+
+.SH EXAMPLES
+.LP
+\fBExample 1\fR
+.sp
+.LP
+List all entries
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --list\fR
+.fi
+.in -2
+.sp
+
+.LP
+\fBExample 2\fR
+.sp
+.LP
+Add new entry with default paramters
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --new --default --set-name test\fR
+.fi
+.in -2
+.sp
+
+.LP
+\fBExample 3\fR
+.sp
+.LP
+Delete all entries with specified dataset
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --delete --all --dataset "rpool/ROOT/test_pool"\fR
+.fi
+.in -2
+.sp
+
+.LP
+\fBExample 4\fR
+.sp
+.LP
+Clone entry and set diffrent kernel options
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --clone --name test --set-name new_test --set-opt "-s"\fR
+.fi
+.in -2
+.sp
+
+.LP
+\fBExample 5\fR
+.sp
+.LP
+Change kernel and convert entry to hypervisor
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --name test --set-kernel "/platform/i86pc/kernel/unix" --enable-hyper\fR
+.fi
+.in -2
+.sp
+
+.LP
+\fBExample 6\fR
+.sp
+.LP
+Set up serial console
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --set-serial "--unit=0 --speed=9600" --set-terminal "serial"\fR
+.fi
+.in -2
+.sp
+
+.LP
+\fBExample 7\fR
+.sp
+.LP
+Get default entry number
+
+.sp
+.in +2
+.nf
+example% \fBgrubadm --get-default\fR
+.fi
+.in -2
+.sp
+
+.SH FILES
+.sp
+.ne 2
+.na
+/pool/boot/illumos.cfg
+.ad
+.sp .6
+.RS 4n
+Bootmenu file.
+.RE
+
+.SH NOTES
+grubadm is replacement of bootadm boot menu functionality for grub2. You can't
+use bootadm menu functionality on with GRUB2 as well as you can't use grubadm
+with GRUB-legacy.
+
